lpoptions(1)

NOM
lpoptions - Afficher et définir les options et paramètres par défaut d'une imprimante.

SYNOPSIS
lpoptions [ -E ] [ -h server[:port] ] -d destination[/instance] [ -l ]
lpoptions [ -E ] [ -h server[:port] ] [ -p destination[/instance] ] -o option[=value] ...
lpoptions [ -E ] [ -h server[:port] ] [ -p destination[/instance] ] -r option
lpoptions [ -E ] [ -h server[:port] ] -x destination[/instance]

DESCRIPTION
lpoptions affiche ou définit les options et valeurs par défaut d'une imprimante. Si aucune imprimante n’est indiquée avec l’option -p, l’imprimante par défaut est utilisée comme décrit dans lp(1).

Si aucune option -l, -o, ou -r n’est indiquée, les options en cours sont affichées sur la sortie standard.

Les options définies par la commande lpoptions sont utilisées par les commandes lp(1) et lpr(1) lors de l'envoi de travaux d'impression.

Lorsque la commande lpoptions est lancée par le superutilisateur, les options et instances sont lues et configurées comme options par défaut pour tous les utilisateurs dans le fichier /etc/cups/lpoptions. Autrement, les valeurs par défaut sont gérées dans le fichier ~/.cups/lpoptions.

OPTIONS
lpoptions accepte les options suivantes :

-E  Activer le chiffrement pour la communication avec le serveur CUPS.

-d destination[/instance]
    Définir destination comme imprimante par défaut pour l’utilisateur. Si instance est indiquée, alors c'est cette instance qui sera utilisée. Cette option redéfinit l'imprimante par défaut du système pour l'utilisateur concerné.

-h serveur[:port]
    Utiliser un autre serveur.

-l  Afficher les options spécifiques d'une imprimante et leur valeur.

-o option[=valeur]
    Définir une nouvelle option pour la destination donnée.

-p destination[/instance]
    Définir la destination et l'instance, si celle-ci est indiquée, pour n’importe quelle option suivante. Si l’instance nommée n'existe pas, celle-ci est créée. Les destinations peuvent seulement être créées à l’aide du programme lpadmin(8).

-r option
    Supprimer une option de la destination fournie en paramètre.

-x destination[/instance]
    Supprimer toutes les options de la destination et de l'instance nommées, si celle-ci est indiquée. Si l'instance n'existe pas, la commande n'a pas d'effet. Les destinations peuvent seulement être supprimées à l’aide du programme lpadmin(8).

FICHIERS
~/.cups/lpoptions — fichier des options et instances par défaut des utilisateurs.
/etc/cups/lpoptions — fichier global des options et instances par défaut, créées par le superutilisateur.

CONFORMITÉ
La commande lpoptions est spécifique à CUPS.

VOIR AUSSI
cancel(1), lp(1), lpadmin(8), lpr(1), lprm(1), aide en ligne de CUPS <URL:http://localhost:631/help>

COPYRIGHT
Copyright © 2021-2022 by OpenPrinting.